SuperLU 6.0.0

Data Fields
SCPformat Struct Reference

`#include <supermatrix.h>`

## Data Fields
int_t | nnz
int_t | nsuper
void * | nzval
int_t * | nzval_colbeg
int_t * | nzval_colend
int_t * | rowind
int_t * | rowind_colbeg
int_t * | rowind_colend
int * | col_to_sup
int * | sup_to_colbeg
int * | sup_to_colend

## Field Documentation

## ◆ col_to_sup

int* SCPformat::col_to_sup

## ◆ nnz

int_t SCPformat::nnz

## ◆ nsuper

int_t SCPformat::nsuper

## ◆ nzval

void* SCPformat::nzval

## ◆ nzval_colbeg

int_t* SCPformat::nzval_colbeg

## ◆ nzval_colend

int_t* SCPformat::nzval_colend

## ◆ rowind

int_t* SCPformat::rowind

## ◆ rowind_colbeg

int_t* SCPformat::rowind_colbeg

## ◆ rowind_colend

int_t* SCPformat::rowind_colend

## ◆ sup_to_colbeg

int* SCPformat::sup_to_colbeg

## ◆ sup_to_colend

int* SCPformat::sup_to_colend

The documentation for this struct was generated from the following file:

- SRC/supermatrix.h